"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.storeShape = exports.subscriptionShape = void 0;

var _rax = require("rax");

var subscriptionShape = _rax.PropTypes.shape({
  trySubscribe: _rax.PropTypes.func.isRequired,
  tryUnsubscribe: _rax.PropTypes.func.isRequired,
  notifyNestedSubs: _rax.PropTypes.func.isRequired,
  isSubscribed: _rax.PropTypes.func.isRequired
});

exports.subscriptionShape = subscriptionShape;

var storeShape = _rax.PropTypes.shape({
  subscribe: _rax.PropTypes.func.isRequired,
  dispatch: _rax.PropTypes.func.isRequired,
  getState: _rax.PropTypes.func.isRequired
});

exports.storeShape = storeShape;
exports["default"] = module.exports;
var _default = module.exports;
exports.default = _default;